2005-09-07 [colin] 1.9.14cvs4
[claws.git] / doc / manual / en / sylpheed-4.html
1 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
2 <html>
3 <head>
4   <meta name="GENERATOR" content="LinuxDoc-Tools 0.9.21">
5   <title>Sylpheed User's Manual: Installation.</title>
6   <link href="sylpheed-5.html" rel="next">
7   <link href="sylpheed-3.html" rel="previous">
8   <link href="sylpheed.html#toc4" rel="contents">
9 </head>
10 <body>
11 <a href="sylpheed-5.html">Next</a>
12 <a href="sylpheed-3.html">Previous</a>
13 <a href="sylpheed.html#toc4">Contents</a>
14 <hr>
15 <h2><a name="s4">4.</a> <a href="sylpheed.html#toc4">Installation.</a></h2>
16 <h2><a name="ss4.1">4.1</a> <a href="sylpheed.html#toc4.1">Required
17 environment</a>
18 </h2>
19 <p>To succesfully compile Sylpheed, you need at least:
20 </p>
21 <ul>
22   <li>Any POSIX compliant UNIX or similar OS eg. Linux, FreeBSD, Solaris</li>
23   <li>
24     <a href="http://www.gtk.org/">GTK+</a> 2.4.x or later</li>
25   <li>A recent ANSI C compiler (
26     <a href="http://gcc.gnu.org/">gcc</a> 2.95 should also work).</li>
27 </ul>
28 Optionally you need:
29 <a name="option_libraries"></a>
30 <ul>
31   <li><a href="ftp://ftp.cs.indiana.edu/pub/faces/compface/">libcompface</a>
32 (for X-Face)</li>
33   <li><a href="http://www.gnupg.org/gpgme.html">GPGME</a>
34 and
35     <a href="http://www.gnupg.org/">GNUPG</a>
36 (for encryption and signature)</li>
37   <li>
38     <a href="http://www.openssl.org/">OpenSSL</a>
39 (for SSL support)</li>
40   <li>
41     <a href="http://www.openldap.org/">OpenLDAP</a>
42 (for LDAP connection)</li>
43   <li>IPv6 support can be turned on (if your system supports it)</li>
44   <li>
45     <a href="http://www.jpilot.org/">Jpilot</a>
46 (for Palm addressbook use)</li>
47   <li><a href="http://libetpan.sourceforge.net">Libetpan</a> (for IMAP4
48 support)</li>
49   <li>libgnomeprint(ui) (for real printing support)</li>
50   <li>the equivalent of GTK+-devel and Xfree86-devel. (Otherwise
51 ./configure will fail.)</li>
52 </ul>
53 <p></p>
54 <p>Notice: Sylpheed may be unstable depending on the environment.
55 Please use the newest version of libraries if possible.</p>
56 <h2><a name="ss4.2">4.2</a> <a href="sylpheed.html#toc4.2">Environments
57 known as valid for Sylpheed</a>
58 </h2>
59 <p>
60 </p>
61 <ul>
62   <li>Debian GNU/Linux unstable (sid) (glibc 2.2.5) (development
63 environment) </li>
64   <li>Debian GNU/Linux testing (woody) (glibc 2.2.5)</li>
65   <li>Debian GNU/Linux 2.2 (potato) (glibc 2.1.3) </li>
66   <li>Kondara MNU/Linux (glibc 2.1.x) </li>
67   <li>Kondara MNU/Linux 1.2</li>
68   <li>Kondara MNU/Linux 2.0</li>
69   <li>Vine Linux 1.1 (glibc 2.0.x + libwcsmbs) </li>
70   <li>Vine Linux 2.0 (glibc 2.1.x) (Intel, PPC) </li>
71   <li>Vine Linux 2.1 </li>
72   <li>Vine Linux 2.1.5</li>
73   <li>Laser5 Linux 6.0 (glibc 2.1.x)</li>
74   <li>Laser5 Linux 6.2 (glibc 2.1.x)</li>
75   <li>Laser5 Linux 6.4 (glibc 2.1.x)</li>
76   <li>TurboLinux 4.0 (glibc 2.0.7 + libwcsmbs) </li>
77   <li>TurboLinux 6.0 (glibc 2.1.2) </li>
78   <li>TurboLinux 7.0 (glibc 2.2.x) </li>
79   <li>Miracle Linux Standard Edition Version1.0 </li>
80   <li>Miracle Linux for PostgreSQL Version1.0 </li>
81   <li>Miracle Linux for Samba Version1.0 </li>
82   <li>RedHat Linux 5.2 (glibc 2.0.7) </li>
83   <li>RedHat Linux 6.0 </li>
84   <li>RedHat Linux 6.1 + Helix GNOME (glibc 2.1.x) </li>
85   <li>RedHat Linux 6.2 / 6.2J (glibc 2.1.x) </li>
86   <li>RedHat Linux 7.0 / 7.0J </li>
87   <li>RedHat Linux 7.1</li>
88   <li>RedHat Linux 7.2</li>
89   <li>LinuxPPC2000 + Yukikaze(Japanization kit) </li>
90   <li>Linux2000G (Intel, PowerPC) </li>
91   <li>HOLON Linux 2.0 (Intel / PPC) </li>
92   <li>Linux for PPC Japanese Edition 2.0 (glibc 2.1.x) </li>
93   <li>Linux for PPC Japanese Edition 3.0 (glibc 2.1.x) </li>
94   <li>Linux MLD4</li>
95   <li>Linux MLD5 </li>
96   <li>Plamo Linux 2.0 </li>
97   <li>Plamo Linux 2.1</li>
98   <li>Slackware 7.0 </li>
99   <li>Slackware 7.1 </li>
100   <li>Slackware 8.0 </li>
101   <li>Linux Mandrake 7.0</li>
102   <li>Linux Mandrake 7.1</li>
103   <li>Linux Mandrake 7.2</li>
104   <li>Linux Mandrake 8.0</li>
105   <li>Linux Mandrake 8.1</li>
106   <li>SuSE Linux 6.3 (glibc 2.1.2) </li>
107   <li>SuSE Linux 6.4</li>
108   <li>SuSE Linux 7.0</li>
109   <li>SuSE Linux 7.1</li>
110   <li>SuSE Linux 7.2</li>
111   <li>SuSE Linux 7.3</li>
112   <li>OpenLinux 2.3 (glibc 2.1.1 -&gt; 2.1.3) </li>
113   <li>Caldera OpenDesktop 2.4 </li>
114   <li>Caldera Workstation 3.1</li>
115   <li>Conectiva Linux 4.0</li>
116   <li>Conectiva Linux 5.0</li>
117   <li>Conectiva Linux 7.0</li>
118   <li>Vector Linux 1.5 </li>
119   <li>Yellow Dog Linux 2.0 (glibc 2.2.1)</li>
120   <li>Yellow Dog Linux 2.1 (PowerPC)</li>
121   <li>ASP Linux 7.2 (glibc 2.2.4)</li>
122   <li>Redmond Linux (Lycoris)</li>
123 </ul>
124 <p></p>
125 <p>
126 </p>
127 <ul>
128   <li>FreeBSD release 3.2</li>
129   <li>FreeBSD release 3.4</li>
130   <li>FreeBSD release 4.0</li>
131   <li>FreeBSD release 4.1</li>
132   <li>FreeBSD release 4.2</li>
133   <li>FreeBSD release 4.3</li>
134   <li>FreeBSD release 4.4</li>
135   <li>FreeBSD release 4.5</li>
136   <li>FreeBSD release 5.0</li>
137   <li>NetBSD 1.4.2 </li>
138   <li>NetBSD 1.5 + XPG4DL </li>
139   <li>NetBSD 1.5.1</li>
140   <li>NetBSD 1.5.2</li>
141   <li>OpenBSD 2.7 </li>
142   <li>OpenBSD 2.8 (i386) </li>
143   <li>OpenBSD 2.9</li>
144   <li>OpenBSD 3.0</li>
145   <li>BSD/OS 4.0.1 </li>
146 </ul>
147 <p></p>
148 <p>
149 </p>
150 <ul>
151   <li>Solaris 2.5</li>
152   <li>Solaris 2.5.1</li>
153   <li>Solaris 2.6</li>
154   <li>Solaris 7</li>
155   <li>Solaris 8</li>
156   <li>IRIX 6.3</li>
157   <li>IRIX 6.4</li>
158   <li>IRIX 6.5, 6.5.8m</li>
159   <li>HP-UX 10.20 </li>
160   <li>HP-UX 11.00</li>
161   <li>HP-UX 11i</li>
162   <li>Tru64 Unix 5.0 (OSF1 v5.0)</li>
163   <li>SCO UnixWare 7</li>
164   <li>Mac OS X 10.1.3 (Darwin 5.3) + XDarwin (without XLocale support)
165 + libxpg4 </li>
166 </ul>
167 <p></p>
168 <p>
169 </p>
170 <ul>
171   <li>Windows (MSVC + GTK+ for win32), in progress</li>
172 </ul>
173 <p></p>
174 <h2><a name="ss4.3">4.3</a> <a href="sylpheed.html#toc4.3">Nuts and
175 bolts of installation</a>
176 </h2>
177 <p>
178 </p>
179 <ul>
180   <li>Download the latest version of the Sylpheed-Claws package from
181     <a href="http://claws.sylpheed.org/">http://claws.sylpheed.org/</a></li>
182   <li>Untar the sourcefiles to a new directory</li>
183   <li>tar -zxf sylpheed-claws-x.x.x.tar.gz (for tar.gz)</li>
184   <li>tar -jxf sylpheed-claws-x.x.x.tar.bz2 (for tar.bz2) </li>
185   <li>cd to the new sylpheed-claws-x.x.x directory </li>
186   <li>Run ./configure to check your environment and create the
187 installation make files </li>
188   <li>Run the 'make' program which will compile the sources. Do not
189 proceed with this step if there are fatal errors in the previous step.
190 Fatal errors indicate that things are missing in order to compile
191 Sylpheed properly. </li>
192 </ul>
193 <p></p>
194 <p>If the make process has completed, run "make install" (as root), to
195 install the program and the supportfiles.</p>
196 <h3><a name="compile_sylpheed"></a> Compiling Sylpheed-Claws with
197 options</h3>
198 <p>You can choose to compile Sylpheed-Claws with some optional features
199 enabled.
200 Use <i>./configure --help</i> to list configuration syntax and options.</p>
201 <p>The following optional features can be enabled:</p>
202 <p>
203 </p>
204 <ul>
205   <li><i>Jpilot</i>: to use you PDA addressbook with Sylpheed. You will
206 need the <i>Jpilot</i> library (and <i>pilot-link</i>, too).
207 Enable this option with the <i>--enable-jpilot</i> configure switch.</li>
208   <li><i>GnuPG</i>: Sylpheed can encrypt and sign your messages (also
209 decrypt
210 and verify the signatures of the incoming messages) using GnuPG.
211 GnuPG follows the OpenPGP standard and is compatible with PGP.
212 To enable this feature, you need to install GnuPG and GPGME (interface
213 library to GnuPG). This is automatically enabled if possible.</li>
214   <li><i>LDAP</i>: Sylpheed can connect to a LDAP server in order to
215 query mail addresses. To enable this feature you will need the
216 OpenLDAP library.
217 Enable this option with the <i>--enable-ldap</i> configure switch.</li>
218   <li><i>X-Faces</i>: you can create a small picture (of your face, or
219 of anything else) that will be sent in the header of your mails.
220 This option is enabled if the compface library is found and
221 can be disabled using the <i>--disable-compface</i> configure switch.</li>
222   <li><span style="font-style: italic;">SSL</span>: OpenSSL support
223 will be automatically built if openssl is available with its
224 development files.</li>
225   <li><span style="font-style: italic;">libetpan</span>: libetpan is
226 required to build IMAP4 support. As this is important, if libetpan
227 isn't present, configure will fail. You can force a build with no IMAP4
228 support by using <span style="font-style: italic;">--disable-libetpan</span>.</li>
229 </ul>
230 <p></p>
231 <p>All these features require additional libraries and tools that may
232 not be part
233 of your distribution. You can find them at the addresses listed at the
234 beginning
235 of this chapter, <a href="#option_libraries">here</a>.</p>
236 <h2><a name="ss4.4">4.4</a> <a href="sylpheed.html#toc4.4">Installation
237 on Linux using RPM</a>
238 </h2>
239 <p>As root, run the "rpm -Uvh " command on the RPM file you downloaded.
240 As soon as this process is complete you can run Sylpheed-Claws as user.
241 </p>
242 <h2><a name="ss4.5">4.5</a> <a href="sylpheed.html#toc4.5">Installation
243 on Debian Linux</a>
244 </h2>
245 <p>With an internet connection :</p>
246 <p>apt-get install sylpheed-claws (to install it with a internet
247 connection)</p>
248 <p>Without internet connection, fetch the debian package for example on
249 <a href="http://packages.debian.org/unstable/mail/sylpheed.html">http://packages.debian.org/unstable/mail/sylpheed-claws.html</a></p>
250 <p>dpkg -i sylpheed-claws_x.x.x-1i386.deb</p>
251 <p>dpkg --install sylpheed-claws_x.x.x-1i386.deb</p>
252 <h2><a name="ss4.6">4.6</a> <a href="sylpheed.html#toc4.6">Installation
253 on FreeBSD</a>
254 </h2>
255 <p>using the /stand/sysinstall tool (it is a menu-based interface) :</p>
256 <p>run "/stand/sysinstall" as root</p>
257 <p>in the main menu choose "Configure" -&gt; "Packages" -&gt; "mail",
258 then "sylpheed-claws" then, back to the "Packages" list, choose
259 "Install"</p>
260 <p>Using the ports</p>
261 <p>Get the sylpheed port on :</p>
262 <p>
263 <a
264  href="ftp://ftp.freebsd.org/pub/FreeBSD/ports/i386/packages-4.3-release/mail">ftp://ftp.freebsd.org/pub/FreeBSD/ports/i386/packages-4.3-release/mail</a></p>
265 <p>then, as root: pkg-add sylpheed-claws-x.x.x.tgz</p>
266 <p>using the ports with compiling:</p>
267 <p>first, update your port, fetch it on <a
268  href="http://www.freebsd.org/ports/mail.html">http://www.freebsd.org/ports/mail.html</a></p>
269 <p>cd /usr/ports/mail/sylpheed-claws</p>
270 <p>make</p>
271 <p>If it succeeds, type "make install"</p>
272 <p>In case it fails, fetch the required package if necessary
273 (on the same page), put the package file in /usr/ports/distfiles/
274 then :
275 </p>
276 <ul>
277   <li>cd /usr/ports/mail/sylpheed-claws</li>
278   <li>make</li>
279   <li>make install</li>
280 </ul>
281 <p></p>
282 <p>Need a more up-to-date version ?</p>
283 <p>Just use the Unix standard method (see "Nuts and bolts of
284 installation")</p>
285 <hr>
286 <a href="sylpheed-5.html">Next</a>
287 <a href="sylpheed-3.html">Previous</a>
288 <a href="sylpheed.html#toc4">Contents</a>
289 </body>
290 </html>